ur_rna.RNAstructureUI.drawing.proxy

## Class DotPlotBackendProxyJNI

- java.lang.Object
- - ur_rna.RNAstructureUI.drawing.proxy.DotPlotBackendProxyJNI

-     public class DotPlotBackendProxyJNI
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DotPlotBackendProxyJNI()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `delete_DotPlotBackend(long jarg1)`
    `static java.lang.String` | `DotPlotBackend_getBounds(long jarg1, DotPlotBackend jarg1_)`
    `static java.lang.String` | `DotPlotBackend_getColors(long jarg1, DotPlotBackend jarg1_)`
    `static double` | `DotPlotBackend_getCurrentMax(long jarg1, DotPlotBackend jarg1_)`
    `static double` | `DotPlotBackend_getCurrentMin(long jarg1, DotPlotBackend jarg1_)`
    `static double` | `DotPlotBackend_getDefaultMax(long jarg1, DotPlotBackend jarg1_)`
    `static double` | `DotPlotBackend_getDefaultMin(long jarg1, DotPlotBackend jarg1_)`
    `static java.lang.String` | `DotPlotBackend_getDotData(long jarg1, DotPlotBackend jarg1_, int jarg2, int jarg3)`
    `static java.lang.String` | `DotPlotBackend_getDotDataByLocation(long jarg1, DotPlotBackend jarg1_, int jarg2, int jarg3, double jarg4)`
    `static java.lang.String` | `DotPlotBackend_getGridLine(long jarg1, DotPlotBackend jarg1_, int jarg2)`
    `static java.lang.String` | `DotPlotBackend_getLegendData(long jarg1, DotPlotBackend jarg1_)`
    `static int` | `DotPlotBackend_getLength(long jarg1, DotPlotBackend jarg1_)`
    `static boolean` | `DotPlotBackend_readData(long jarg1, DotPlotBackend jarg1_, java.lang.String jarg2, int jarg3)`
    `static void` | `DotPlotBackend_setColors(long jarg1, DotPlotBackend jarg1_, int jarg2)`
    `static void` | `DotPlotBackend_setRange(long jarg1, DotPlotBackend jarg1_, double jarg2, double jarg3)`
    `static void` | `DotPlotBackend_writePostscriptFile(long jarg1, DotPlotBackend jarg1_, java.lang.String jarg2)`
    `static java.lang.String` | `DotPlotBackend_writeStructuresFile(long jarg1, DotPlotBackend jarg1_, java.lang.String jarg2, java.lang.String jarg3)`
    `static void` | `DotPlotBackend_writeSVGFile(long jarg1, DotPlotBackend jarg1_, java.lang.String jarg2)`
    `static void` | `DotPlotBackend_writeTextFile(long jarg1, DotPlotBackend jarg1_, java.lang.String jarg2)`
    `static long` | `new_DotPlotBackend()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DotPlotBackendProxyJNI

          public DotPlotBackendProxyJNI()

  - ### Method Detail

    - #### delete_DotPlotBackend

          public static final void delete_DotPlotBackend(long jarg1)

    - #### DotPlotBackend_getBounds

          public static final java.lang.String DotPlotBackend_getBounds(long jarg1,
                                                                        DotPlotBackend jarg1_)

    - #### DotPlotBackend_getColors

          public static final java.lang.String DotPlotBackend_getColors(long jarg1,
                                                                        DotPlotBackend jarg1_)

    - #### DotPlotBackend_getCurrentMax

          public static final double DotPlotBackend_getCurrentMax(long jarg1,
                                                                  DotPlotBackend jarg1_)

    - #### DotPlotBackend_getCurrentMin

          public static final double DotPlotBackend_getCurrentMin(long jarg1,
                                                                  DotPlotBackend jarg1_)

    - #### DotPlotBackend_getDefaultMax

          public static final double DotPlotBackend_getDefaultMax(long jarg1,
                                                                  DotPlotBackend jarg1_)

    - #### DotPlotBackend_getDefaultMin

          public static final double DotPlotBackend_getDefaultMin(long jarg1,
                                                                  DotPlotBackend jarg1_)

    - #### DotPlotBackend_getDotData

          public static final java.lang.String DotPlotBackend_getDotData(long jarg1,
                                                                         DotPlotBackend jarg1_,
                                                                         int jarg2,
                                                                         int jarg3)

    - #### DotPlotBackend_getDotDataByLocation

          public static final java.lang.String DotPlotBackend_getDotDataByLocation(long jarg1,
                                                                                   DotPlotBackend jarg1_,
                                                                                   int jarg2,
                                                                                   int jarg3,
                                                                                   double jarg4)

    - #### DotPlotBackend_getGridLine

          public static final java.lang.String DotPlotBackend_getGridLine(long jarg1,
                                                                          DotPlotBackend jarg1_,
                                                                          int jarg2)

    - #### DotPlotBackend_getLegendData

          public static final java.lang.String DotPlotBackend_getLegendData(long jarg1,
                                                                            DotPlotBackend jarg1_)

    - #### DotPlotBackend_getLength

          public static final int DotPlotBackend_getLength(long jarg1,
                                                           DotPlotBackend jarg1_)

    - #### DotPlotBackend_readData

          public static final boolean DotPlotBackend_readData(long jarg1,
                                                              DotPlotBackend jarg1_,
                                                              java.lang.String jarg2,
                                                              int jarg3)

    - #### DotPlotBackend_setColors

          public static final void DotPlotBackend_setColors(long jarg1,
                                                            DotPlotBackend jarg1_,
                                                            int jarg2)

    - #### DotPlotBackend_setRange

          public static final void DotPlotBackend_setRange(long jarg1,
                                                           DotPlotBackend jarg1_,
                                                           double jarg2,
                                                           double jarg3)

    - #### DotPlotBackend_writePostscriptFile

          public static final void DotPlotBackend_writePostscriptFile(long jarg1,
                                                                      DotPlotBackend jarg1_,
                                                                      java.lang.String jarg2)

    - #### DotPlotBackend_writeStructuresFile

          public static final java.lang.String DotPlotBackend_writeStructuresFile(long jarg1,
                                                                                  DotPlotBackend jarg1_,
                                                                                  java.lang.String jarg2,
                                                                                  java.lang.String jarg3)

    - #### DotPlotBackend_writeSVGFile

          public static final void DotPlotBackend_writeSVGFile(long jarg1,
                                                               DotPlotBackend jarg1_,
                                                               java.lang.String jarg2)

    - #### DotPlotBackend_writeTextFile

          public static final void DotPlotBackend_writeTextFile(long jarg1,
                                                                DotPlotBackend jarg1_,
                                                                java.lang.String jarg2)

    - #### new_DotPlotBackend

          public static final long new_DotPlotBackend()